google-chrome: Add helper scripts

This commit is contained in:
Timo Makinen 2021-10-02 19:16:34 +00:00
parent 9d5db775a4
commit 9e432fecda
3 changed files with 70 additions and 0 deletions

View file

@ -0,0 +1,26 @@
#!/bin/sh
set -eu
URL="${2-}"
CHROME="$(which google-chrome 2>/dev/null)"
if [ -n "$CHROME" ]; then
if [ -f "/Applications/Google Chrome.app" ]; then
CHROME="/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
else
echo "ERR: Failed to find Google Chrome installation"
exit 1
fi
fi
CHROMEDIR="$(mktemp -d)"
# shellcheck disable=SC2064
trap "rm -rf ${CHROMEDIR}" EXIT
"$CHROME" \
--incognito \
--no-default-browser-check \
--no-first-run \
--user-data-dir="$CHROMEDIR" \
"$URL"

View file

@ -0,0 +1,33 @@
#!/bin/sh
set -eu
if [ $# -lt 1 ]; then
echo "Usage: $(basename "$0") <PORT> [URL]"
exit 1
fi
SOCKSPORT="$1"
URL="${2-}"
CHROME="$(which google-chrome 2>/dev/null)"
if [ -n "$CHROME" ]; then
if [ -f "/Applications/Google Chrome.app" ]; then
CHROME="/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
else
echo "ERR: Failed to find Google Chrome installation"
exit 1
fi
fi
CHROMEDIR="$(mktemp -d)"
# shellcheck disable=SC2064
trap "rm -rf ${CHROMEDIR}" EXIT
"$CHROME" \
--incognito \
--no-default-browser-check \
--no-first-run \
--user-data-dir="$CHROMEDIR" \
--proxy-server="socks5://localhost:${SOCKSPORT}" \
"$URL"

View file

@ -39,3 +39,14 @@
mode: 0644
owner: root
group: root
- name: install custom chrome startup scripts
copy:
dest: "/usr/local/bin/{{ item }}"
src: "{{ item }}.sh"
mode: 0755
owner: root
group: "{{ ansible_wheel }}"
with_items:
- google-chrome-incognito
- google-chrome-socksproxy